CGAL 6.0.2 - dD Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ > Class Template Reference
dD Triangulations Reference » Vertex, Face and Cell Classes

`#include <CGAL/Triangulation_full_cell.h>`

## Inherits from

TriangulationDSFullCell_.

## Definition

template<typename TriangulationTraits_, typename Data, typename TriangulationDSFullCell_>
class CGAL::Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ >

The class `Triangulation_full_cell` is a model of the concept `TriangulationFullCell`.

It is used by default for representing full cells in the class `Triangulation<TriangulationTraits_, TriangulationDataStructure_>`.

A `Triangulation_full_cell` stores handles to the vertices of the cell as well as handles to its adjacent cells.

Template Parameters

  TriangulationTraits_ | must be a model of the concept `TriangulationTraits`. It provides geometric types and predicates for use in the `Triangulation<TriangulationTraits_, TriangulationDataStructure_>` class.
  Data | is an optional type of data to be stored in the full cell class. The class template `Triangulation_full_cell` accepts that no second parameter be specified. In this case, `Data` defaults to `CGAL::No_full_cell_data`. `CGAL::No_full_cell_data` can explicitly be specified to access the third parameter.
  TriangulationDSFullCell_ | must be a model of the concept `TriangulationDSFullCell`. The class template `Triangulation_full_cell` accepts that no third parameter be specified. It also accepts the tag `CGAL::Default` as third parameter. In both cases, `TriangulationDSFullCell_` defaults to `CGAL::Triangulation_ds_full_cell<>`.

Is model of
  `TriangulationFullCell` Additionally
  `the` class `Triangulation_full_cell` provides the following types
  `constructors` and methods:

See also
  `Triangulation_vertex<TriangulationTraits_, Data, TriangulationDSVertex_>`
  `Triangulation_data_structure<Dimensionality, TriangulationDSVertex_, TriangulationDSFullCell_>`
  `Triangulation<TriangulationTraits_, TriangulationDataStructure_>`
  `Delaunay_triangulation<DelaunayTriangulationTraits_, TriangulationDataStructure_>`

## Types
typedef Data | Data
| The type of the additional data stored in the cell.

## Creation
template<typename T >
| Triangulation_full_cell (int dmax)
| Sets the maximum possible dimension of the cell to `dmax`.

## Data access
const Data & | data () const
| Returns a const reference to the stored data.
Data & | data ()
| Returns a non-const reference to the stored data.
std::istream & | operator>> (std::istream &is, Triangulation_full_cell &v)
| Inputs the non-combinatorial information given by the cell, i.e., the point and other possible information.
std::ostream & | operator<< (std::ostream &os, const Triangulation_full_cell &v)
| Outputs the non-combinatorial information given by the cell, i.e., the point and other possible information.

## Member Typedef Documentation

## ◆ Data

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSFullCell_ >

typedef Data CGAL::Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ >::Data

The type of the additional data stored in the cell.

If you read a `Triangulation_full_cell` from a stream (a file) or write a `Triangulation_full_cell`to a stream, then streaming operators `<<` and `>>` must be provided for this type.

## Member Function Documentation

## ◆ operator<<()

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSFullCell_ >

std::ostream & CGAL::Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ >::operator<< | ( | std::ostream & | os,
|  | const Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ > & | v
| ) |  |

Outputs the non-combinatorial information given by the cell, i.e., the point and other possible information.

The data of type `Data` is also written.

## ◆ operator>>()

template<typename TriangulationTraits_ , typename Data , typename TriangulationDSFullCell_ >

std::istream & CGAL::Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ >::operator>> | ( | std::istream & | is,
|  | Triangulation_full_cell< TriangulationTraits_, Data, TriangulationDSFullCell_ > & | v
| ) |  |

Inputs the non-combinatorial information given by the cell, i.e., the point and other possible information.

The data of type `Data` is also read.